#!/bin/python
# Author: bmartin (blakecmartin@gmail.com)

"""
This file is part of WiFix.

WiFix is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

WiFix is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

err_root = "Please run the installer without root priviledges."
submitted = "We were unable to find drivers for any of your cards.\n\nOur driver database is updated daily. Please try again in a day or two.\n\nA browser windows will now be opened so that you can contribute your information. Using this information, we should be able to locate an appropriate driver for your wireless device."

def privacy():
    return __read_file('./messages/privacy')

def submission():
    return __read_file('./messages/submission')

def __read_file(file):
    f = open(file, 'r')
    contents = f.read()
    f.close()
    return contents
